include (FetchContent)

if(NOT DEFINED CATCH_REPO)
    set(CATCH_REPO https://github.com/catchorg/Catch2.git)
endif ()

FetchContent_Declare(
	Catch2
	GIT_REPOSITORY ${CATCH_REPO}
	GIT_TAG v3.6.0
	GIT_SHALLOW TRUE
)

FetchContent_MakeAvailable(Catch2)